import { Realm, Robot, User } from '@typescript-auth/domains';
import { AbilityManager, PermissionItem } from '@typescript-auth/core';
export declare type ExpressRequest = {
    user?: User;
    userId?: User['id'];
    robot?: Robot;
    robotId?: Robot['id'];
    realmId?: Realm['id'];
    token?: string;
    ability: AbilityManager;
    permissions: PermissionItem<any>[];
    headers: Record<string, any>;
    [key: string]: any;
};
export declare type ExpressResponse = {
    [key: string]: any;
};
export declare type ExpressNextFunction = {
    (err?: any): void;
    [key: string]: any;
};
//# sourceMappingURL=type.d.ts.map